package com.sifang.modules.htySap.vo;

import java.util.List;

public class HwydReq {

    public static class Head {
        private String budat; //凭证中的过账日期
        private String bldat; //凭证中的凭证日期
        private String bktxt;//凭证抬头文本

        public String getBudat() {
            return budat;
        }

        public void setBudat(String budat) {
            this.budat = budat;
        }

        public String getBldat() {
            return bldat;
        }

        public void setBldat(String bldat) {
            this.bldat = bldat;
        }

        public String getBktxt() {
            return bktxt;
        }

        public void setBktxt(String bktxt) {
            this.bktxt = bktxt;
        }

        @Override
        public String toString() {
            return "Head{" +
                    "budat='" + budat + '\'' +
                    ", bldat='" + bldat + '\'' +
                    ", bktxt='" + bktxt + '\'' +
                    '}';
        }
    }

    public static class Line {
        private String matnr18;  //物料编号
        private String werksD;  //工厂
        private String lgortD; //存储地点
        private String chargD;  //批次编号
        private String bwart; //移动类型
        private String mbInsmk; //库存类型
        private String sobkz;  //特殊库存标识
        private String elifn;  //供应商帐户号
        private String ekunn;  //客户的帐户编号
        private String posid;
        private String kdauf;
        private String kdpos;
        private String anln1;
        private String anln2;
        private String erfmg; //以录入项单位表示的数量
        private String erfme; //条目单位
        private String bstnr;  //采购订单号
        private String ebelp; //采购凭证的项目编号
        private String kostl; //成本中心
        private String aufnr; //订单编号
        private String coPosnr; //订单项目编号
        private String rsnum;  //预留/相关需求的编号
        private String rspos;  //预留 / 相关需求的项目编号
        private String posidTo;
        private String kdaufTo;
        private String kdposTo;
        private String nplnr;
        private String vornr;
        private String ummat18;
        private String umwrk;
        private String umlgo;
        private String umcha;
        private String zzwmsnb;
        private String zzwmsid;
        private String zzwmsnbC;
        private String zzwmsidC;

        public String getMatnr18() {
            return matnr18;
        }

        public void setMatnr18(String matnr18) {
            this.matnr18 = matnr18;
        }

        public String getWerksD() {
            return werksD;
        }

        public void setWerksD(String werksD) {
            this.werksD = werksD;
        }

        public String getLgortD() {
            return lgortD;
        }

        public void setLgortD(String lgortD) {
            this.lgortD = lgortD;
        }

        public String getChargD() {
            return chargD;
        }

        public void setChargD(String chargD) {
            this.chargD = chargD;
        }

        public String getBwart() {
            return bwart;
        }

        public void setBwart(String bwart) {
            this.bwart = bwart;
        }

        public String getMbInsmk() {
            return mbInsmk;
        }

        public void setMbInsmk(String mbInsmk) {
            this.mbInsmk = mbInsmk;
        }

        public String getSobkz() {
            return sobkz;
        }

        public void setSobkz(String sobkz) {
            this.sobkz = sobkz;
        }

        public String getElifn() {
            return elifn;
        }

        public void setElifn(String elifn) {
            this.elifn = elifn;
        }

        public String getEkunn() {
            return ekunn;
        }

        public void setEkunn(String ekunn) {
            this.ekunn = ekunn;
        }

        public String getPosid() {
            return posid;
        }

        public void setPosid(String posid) {
            this.posid = posid;
        }

        public String getKdauf() {
            return kdauf;
        }

        public void setKdauf(String kdauf) {
            this.kdauf = kdauf;
        }

        public String getKdpos() {
            return kdpos;
        }

        public void setKdpos(String kdpos) {
            this.kdpos = kdpos;
        }

        public String getAnln1() {
            return anln1;
        }

        public void setAnln1(String anln1) {
            this.anln1 = anln1;
        }

        public String getAnln2() {
            return anln2;
        }

        public void setAnln2(String anln2) {
            this.anln2 = anln2;
        }

        public String getErfmg() {
            return erfmg;
        }

        public void setErfmg(String erfmg) {
            this.erfmg = erfmg;
        }

        public String getErfme() {
            return erfme;
        }

        public void setErfme(String erfme) {
            this.erfme = erfme;
        }

        public String getBstnr() {
            return bstnr;
        }

        public void setBstnr(String bstnr) {
            this.bstnr = bstnr;
        }

        public String getEbelp() {
            return ebelp;
        }

        public void setEbelp(String ebelp) {
            this.ebelp = ebelp;
        }

        public String getKostl() {
            return kostl;
        }

        public void setKostl(String kostl) {
            this.kostl = kostl;
        }

        public String getAufnr() {
            return aufnr;
        }

        public void setAufnr(String aufnr) {
            this.aufnr = aufnr;
        }

        public String getCoPosnr() {
            return coPosnr;
        }

        public void setCoPosnr(String coPosnr) {
            this.coPosnr = coPosnr;
        }

        public String getRsnum() {
            return rsnum;
        }

        public void setRsnum(String rsnum) {
            this.rsnum = rsnum;
        }

        public String getRspos() {
            return rspos;
        }

        public void setRspos(String rspos) {
            this.rspos = rspos;
        }

        public String getPosidTo() {
            return posidTo;
        }

        public void setPosidTo(String posidTo) {
            this.posidTo = posidTo;
        }

        public String getKdaufTo() {
            return kdaufTo;
        }

        public void setKdaufTo(String kdaufTo) {
            this.kdaufTo = kdaufTo;
        }

        public String getKdposTo() {
            return kdposTo;
        }

        public void setKdposTo(String kdposTo) {
            this.kdposTo = kdposTo;
        }

        public String getNplnr() {
            return nplnr;
        }

        public void setNplnr(String nplnr) {
            this.nplnr = nplnr;
        }

        public String getVornr() {
            return vornr;
        }

        public void setVornr(String vornr) {
            this.vornr = vornr;
        }

        public String getUmmat18() {
            return ummat18;
        }

        public void setUmmat18(String ummat18) {
            this.ummat18 = ummat18;
        }

        public String getUmwrk() {
            return umwrk;
        }

        public void setUmwrk(String umwrk) {
            this.umwrk = umwrk;
        }

        public String getUmlgo() {
            return umlgo;
        }

        public void setUmlgo(String umlgo) {
            this.umlgo = umlgo;
        }

        public String getUmcha() {
            return umcha;
        }

        public void setUmcha(String umcha) {
            this.umcha = umcha;
        }

        public String getZzwmsnb() {
            return zzwmsnb;
        }

        public void setZzwmsnb(String zzwmsnb) {
            this.zzwmsnb = zzwmsnb;
        }

        public String getZzwmsid() {
            return zzwmsid;
        }

        public void setZzwmsid(String zzwmsid) {
            this.zzwmsid = zzwmsid;
        }

        public String getZzwmsnbC() {
            return zzwmsnbC;
        }

        public void setZzwmsnbC(String zzwmsnbC) {
            this.zzwmsnbC = zzwmsnbC;
        }

        public String getZzwmsidC() {
            return zzwmsidC;
        }

        public void setZzwmsidC(String zzwmsidC) {
            this.zzwmsidC = zzwmsidC;
        }

        @Override
        public String toString() {
            return "Line{" +
                    "matnr18='" + matnr18 + '\'' +
                    ", werksD='" + werksD + '\'' +
                    ", lgortD='" + lgortD + '\'' +
                    ", chargD='" + chargD + '\'' +
                    ", bwart='" + bwart + '\'' +
                    ", mbInsmk='" + mbInsmk + '\'' +
                    ", sobkz='" + sobkz + '\'' +
                    ", elifn='" + elifn + '\'' +
                    ", ekunn='" + ekunn + '\'' +
                    ", posid='" + posid + '\'' +
                    ", kdauf='" + kdauf + '\'' +
                    ", kdpos='" + kdpos + '\'' +
                    ", anln1='" + anln1 + '\'' +
                    ", anln2='" + anln2 + '\'' +
                    ", erfmg='" + erfmg + '\'' +
                    ", erfme='" + erfme + '\'' +
                    ", bstnr='" + bstnr + '\'' +
                    ", ebelp='" + ebelp + '\'' +
                    ", kostl='" + kostl + '\'' +
                    ", aufnr='" + aufnr + '\'' +
                    ", coPosnr='" + coPosnr + '\'' +
                    ", rsnum='" + rsnum + '\'' +
                    ", rspos='" + rspos + '\'' +
                    ", posidTo='" + posidTo + '\'' +
                    ", kdaufTo='" + kdaufTo + '\'' +
                    ", kdposTo='" + kdposTo + '\'' +
                    ", nplnr='" + nplnr + '\'' +
                    ", vornr='" + vornr + '\'' +
                    ", ummat18='" + ummat18 + '\'' +
                    ", umwrk='" + umwrk + '\'' +
                    ", umlgo='" + umlgo + '\'' +
                    ", umcha='" + umcha + '\'' +
                    ", zzwmsnb='" + zzwmsnb + '\'' +
                    ", zzwmsid='" + zzwmsid + '\'' +
                    ", zzwmsnbC='" + zzwmsnbC + '\'' +
                    ", zzwmsidC='" + zzwmsidC + '\'' +
                    '}';
        }
    }

    private List<Head> head;
    private List<Line> line;

    public List<Head> getHead() {
        return head;
    }

    public void setHead(List<Head> head) {
        this.head = head;
    }

    public List<Line> getLine() {
        return line;
    }

    public void setLine(List<Line> line) {
        this.line = line;
    }

    @Override
    public String toString() {
        return "HwydReq{" +
                "head=" + head +
                ", line=" + line +
                '}';
    }
}
